#if UNITY_LOCALIZATION
namespace Magify
{
    using System.Collections.Generic;
    using System.Linq;
    using UnityEngine;
    using UnityEngine.Localization;
    using UnityEngine.Localization.Settings;

    public class BundleLocalization : MonoBehaviour
    {
        [SerializeField] 
        internal bool _compatibleWithAnyLocales;
        [SerializeField] 
        internal List<Locale> _includeLocales;
        [SerializeField] 
        internal List<Locale> _excludeLocales;

        public List<Locale> GetAvailableLocales()
        {
            if (_compatibleWithAnyLocales)
            {
                return LocalizationSettings.AvailableLocales.Locales.Except(_excludeLocales.Where(l => l)).ToList();
            }

            return _includeLocales.Where(l => l).ToList();
        }
    }
}
#else
namespace Magify
{
    using UnityEngine;

    public class BundleLocalization : MonoBehaviour
    {
    }
}
#endif