using System;
using UnityEngine;

namespace Magify.Tests
{
    internal class NetworkTestEnvironment
    {
        private class AuthorizationConfigBuilder : IAuthorizationConfigBuilder
        {
            public AuthorizationConfig AuthorizationConfig { get; }

            public AuthorizationConfigBuilder(AuthorizationConfig authorizationConfig)
            {
                AuthorizationConfig = authorizationConfig;
            }
        }

        public static readonly IAuthorizationConfigBuilder AuthConfig = new AuthorizationConfigBuilder(new AuthorizationConfig
        {
            UserClientId = "6a0bba16-5905-4c3e-b21d-49db6467e0d8",
            IsNewUser = false,
            DeviceName = "phone-xhdpi",
            DeviceVersion = "30",

            ApplicationName = "example-android",
            ApplicationVersion = Application.version,
            SupportedOrientation = Orientation.Portrait,

            SdkVersion = PackageInfo.Version,
            FirstLaunchDate = DateTime.Now,

            LanguageCode = "ru-RU",
            CountryCode = "RU"
        });
    }
}